/**
 * Copyright (c) 2014 Bosch Software Innovations GmbH and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v1.0 which accompany this distribution.
 * 
 * The Eclipse Public License is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * The Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 * 
 * Contributors:
 * Bosch Software Innovations GmbH - Please refer to git log
 */
package org.eclipse.vorto.editor.mapping.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.vorto.editor.mapping.MappingRuntimeModule;
import org.eclipse.vorto.editor.mapping.MappingStandaloneSetup;
import org.eclipse.vorto.editor.mapping.ide.MappingIdeModule;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
@SuppressWarnings("all")
public class MappingIdeSetup extends MappingStandaloneSetup {
  @Override
  public Injector createInjector() {
    MappingRuntimeModule _mappingRuntimeModule = new MappingRuntimeModule();
    MappingIdeModule _mappingIdeModule = new MappingIdeModule();
    return Guice.createInjector(Modules2.mixin(_mappingRuntimeModule, _mappingIdeModule));
  }
}
